টিম
GET https://mybotsy.com/api/teams/
curl --request GET \
--url 'https://mybotsy.com/api/teams/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://mybotsy.com/api/teams/' \
--header 'Authorization: Bearer {api_key}' \
| প্যারামিটার | বিশদ বিবরণ | বর্ণনা |
|---|---|---|
| search | ঐচ্ছিক স্ট্রিং | সার্চ স্ট্রিং। |
| search_by | ঐচ্ছিক স্ট্রিং | আপনি কি ক্ষেত্র দ্বারা অনুসন্ধান করছেন. অনুমোদিত মান হল: name। |
| datetime_field | ঐচ্ছিক স্ট্রিং | অনুমোদিত মান: datetime, last_datetime |
| datetime_start | ঐচ্ছিক স্ট্রিং | ফিল্টার ফলাফল এই তারিখ থেকে শুরু। Ymd H:i:s বিন্যাস। |
| datetime_end | ঐচ্ছিক স্ট্রিং | এই তারিখ পর্যন্ত ফলাফল ফিল্টার করুন। Ymd H:i:s বিন্যাস। |
| order_by | ঐচ্ছিক স্ট্রিং | কি ক্ষেত্র দ্বারা ফলাফল ক্রম. অনুমোদিত মান হল: team_id, datetime, last_datetime, name। |
| order_type | ঐচ্ছিক স্ট্রিং | ফলাফলের ক্রম। অনুমোদিত মানগুলি হল: ক্রমবর্ধমান ক্রমানুসারে ASC , এবং DESC নিম্নক্রমের জন্য। |
| page | ঐচ্ছিক ইন্টিজার | আপনি যে পৃষ্ঠা নম্বর থেকে ফলাফল চান। ডিফল্ট 1 . |
| results_per_page | ঐচ্ছিক ইন্টিজার | আপনি প্রতি পৃষ্ঠায় কতগুলি ফলাফল চান। অনুমোদিত মানগুলি হল: 10, 25, 50, 100, 250, 500, 1000৷ ডিফল্ট 25 । |
{
"data": [
{
"id": 1,
"user_id": 1,
"name": "Example team",
"team_members": [
{
"team_member_id": 1,
"user_email": "hello@example.com",
"access": {
"read": true,
"create": true,
"update": true,
"delete": false
},
"status": 1,
"datetime": "2026-10-29 22:09:58",
"last_datetime": null
}
],
"last_datetime": null,
"datetime": "2026-10-29 22:09:58"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://mybotsy.com/api/teams?page=1",
"last": "https://mybotsy.com/api/teams?page=1",
"next": null,
"prev": null,
"self": "https://mybotsy.com/api/teams?page=1"
}
}
GET https://mybotsy.com/api/teams/{team_id}
curl --request GET \
--url 'https://mybotsy.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://mybotsy.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example team",
"team_members": [
{
"team_member_id": 1,
"user_email": "hello@example.com",
"access": {
"read": true,
"create": true,
"update": true,
"delete": false
},
"status": 1,
"datetime": "2026-10-29 22:09:58",
"last_datetime": null
}
],
"last_datetime": null,
"datetime": "2026-10-29 22:09:58"
}
}
POST https://mybotsy.com/api/teams
| প্যারামিটার | বিশদ বিবরণ | বর্ণনা |
|---|---|---|
| name | প্রয়োজনীয় স্ট্রিং | - |
curl --request POST \
--url 'https://mybotsy.com/api/teams' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My team' \
--url 'https://mybotsy.com/api/teams' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My team' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "My team",
"team_members": [],
"last_datetime": null,
"datetime": "2026-10-29 22:09:58"
}
}
POST https://mybotsy.com/api/teams/{team_id}
| প্যারামিটার | বিশদ বিবরণ | বর্ণনা |
|---|---|---|
| name | ঐচ্ছিক স্ট্রিং | - |
curl --request POST \
--url 'https://mybotsy.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My new team name' \
--url 'https://mybotsy.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My new team name' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "My new team name",
"team_members": [
{
"team_member_id": 1,
"user_email": "hello@example.com",
"access": {
"read": true,
"create": true,
"update": true,
"delete": false
},
"status": 1,
"datetime": "2026-10-29 22:09:58",
"last_datetime": null
}
],
"last_datetime": "2026-10-29 22:09:58",
"datetime": "2026-10-29 22:09:58"
}
}
DELETE https://mybotsy.com/api/teams/{team_id}
curl --request DELETE \
--url 'https://mybotsy.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://mybotsy.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \